#!/usr/bin/env python3
# -*- coding: utf-8 -*-


def get_config():
    return {
        "app.base_path": "./",  # noqa: E501
        "app.grl.base_gitlab_url": "https://gitlab.wikimedia.org",
        "app.grl.base_gitlab_api_path": "/api/v4",
        "app.grl.data_file_path": "data/gitlab_repos.txt",
        "app.grl.group_namespaces": {
            "repos/abstract-wiki",
            "repos/api-platform",
            "repos/ci-tools",
            "repos/cloud",
            "repos/commtech",
            "repos/content-transform",
            "repos/data-engineering",
            "repos/data_persistence",
            "repos/design-systems",
            "repos/fundraising-tech",
            "repos/gdi",
            "repos/generated-data-platform",
            "repos/growth",
            "repos/machine-learning",
            "repos/mediawiki",
            "repos/mwbot-rs",
            "repos/phabricator",
            "repos/product-analytics",
            "repos/qte",
            "repos/releng",
            "repos/research",
            "repos/search-platform",
            "repos/security",
            "repos/sre",
            "repos/stewards",
            "repos/structured-data",
            "repos/technical-documentation",
            "repos/wikimedia-ch",
            "repos/wmde",
            "repos/wikimedia-it",
            "repos/wikisp",
            "repos/wikimedia-france",
        },
        "app.grl.exclude_repos": {},
        "app.cr.local_repo_dir": "data/local_git_cache",
        "app.ar.include_patterns": ["repos/security/gitlab-ci-security-templates"],
        "app.ar.yaml_keys": {
            "include": "0",
            "local": "include",
            "template": "include",
            "project": "include",
            "ref": "project",
            "file": "project",
        },
        "app.ar.gitlab_ci_file": ".gitlab-ci.yml",
    }
